(in-package :biodb)

;;  ***************************************************************
;;
;;      Copyright 2000 SRI International.  All Rights Reserved.
;;
;;  ***************************************************************

;;;========================================================================
;;; biodb carries a loaded DB. 

(defstruct biodb
  name
  source-filename
  db-header
  entry-list
  primary-key
  primary-index
  attribute-indices
  )


(defmethod print-object ((object biodb) stream)
  (format stream "<BioDB ~A, ~A entries, primary key ~A, from file ~A>"
	  (biodb-name object)
	  (length (biodb-entry-list object))
	  (biodb-primary-key object)
	  (biodb-source-filename object)
	  )
  )


(defun compile-biodb ()
  (compile-file (make-pathname :defaults user::*biodb-load-pathname* :name "package"))
  (compile-file (make-pathname :defaults user::*biodb-load-pathname* :name "definitions"))
  (compile-file (make-pathname :defaults user::*biodb-load-pathname* :name "biodb"))
  (compile-file (make-pathname :defaults user::*biodb-load-pathname* :name "package2"))
  (compile-file (make-pathname :defaults user::*biodb-load-pathname* :name "utils"))
  )
